Campaign Metrics
GET
/workspaces/{workspaceId}/reporting/campaigns/metrics
Fetch Campaign Metrics
Queryparameters
periodStart
string
The start of the period for which to fetch metrics
periodEnd
string
The end of the period for which to fetch metrics
conversionMetric
string
The metric to use when calculating conversion rates.
This is used to determine the conversion rate for the campaign.
If not provided, it defaults to 'order-confirmed'.
Possible values: order-fulfilled, order-confirmed, generic-event-1, generic-event-2, generic-event-3
filter
string
Filter conditions for fetching metrics. Each condition must be in the format: equals(field,value).
Supported field-value pairs:
- campaignID - UUID. Can supply multiple equals conditions to match multiple campaign IDs.
- name - string. Can supply multiple equals conditions to match multiple campaign names.
- status - string. Can supply multiple equals conditions to filter by campaign statuses.
Allowed values:
- draft
- pending_review
- scheduled
- preparing
- inactive
- ended
- waiting
- error
- active
- tagID - UUID. Filter by campaigns with a specific tag.
- channelID - UUID. Filter by campaigns sent via a specific channel.
- platformID - string. Can supply multiple equals conditions to match multiple platforms. Common values include: sms-messagebird, email-sparkpost, whatsapp.
- createdSince - ISO-8601 timestamp string. Filter for campaigns created after this time.
- createdUpTo - ISO-8601 timestamp string. Filter for campaigns created up to this time.
Antwoord-payload
Het antwoord is een array.
summary
object
Onderliggende attributen tonen
summary.campaignId
string
summary.campaignName
string
summary.campaignCreatedDate
string
summary.campaignActivatedDate
string
summary.campaignStatus
string
summary.campaignStage
string
summary.platformId
string
summary.queued
integer
summary.skipped
integer
summary.scheduled
integer
summary.sent
integer
summary.delivered
integer
summary.bounced
integer
summary.globalHoldout
integer
summary.opened
integer
summary.readOrOpened
integer
summary.clicked
integer
summary.unsubscribed
integer
summary.checkoutAbandonedCount
integer
summary.orderConfirmedCount
integer
summary.formViewedCount
integer
summary.formSubmittedCount
integer
summary.pageViewedCount
integer
summary.productViewedCount
integer
summary.attributedRevenue
number
summary.currency
string
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/reporting/campaigns/metrics' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'